Package org.eclipse.ecf.filetransfer

# Interface IRemoteFile

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`

All Known Implementing Classes:
  `LocalRemoteFile`, `URLRemoteFile`

public interface IRemoteFile extends org.eclipse.core.runtime.IAdaptable
Remote file representation.

## Method Summary

Modifier and Type
Method
Description
`IFileID`
`getID()`
Get the remote file id associated with this file.
`IRemoteFileInfo`
`getInfo()`
Get remote file info associated with this remote file.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Method Details

### getInfo

IRemoteFileInfo getInfo()
Get remote file info associated with this remote file.

Returns:
  file info. Will not be `null`.

### getID

IFileID getID()
Get the remote file id associated with this file.

Returns:
  the file id associated with this file. Will not be `null`.